<?php

/*
 * Squelette : ../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html
 * Date :      Fri, 06 May 2016 20:04:02 GMT
 * Compile :   Fri, 15 Jul 2016 07:46:34 GMT
 * Boucles :   _contenu, _saisies_disponibles, _saisies_groupes_disponibles, _editable
 */ 

function BOUCLE_contenuhtml_547436fe586abf30dcc7d298d1baabfd(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	$command['sourcemode'] = 'tableau';

	$command['source'] = array(interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_contenu', null),true)));

	if (!isset($command['table'])) {
		$command['table'] = '';
		$command['id'] = '_contenu';
		$command['from'] = array();
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array(".valeur");
		$command['orderby'] = array();
		$command['where'] = 
			array();
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"DATA",
		$command,
		array('../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html','html_547436fe586abf30dcc7d298d1baabfd','_contenu',26,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
			' .
((array_key_exists('saisie',interdire_scripts(safehtml($Pile[$SP]['valeur']))))  ?
		(' ' . (	'
				' .
	formidable_generer_saisie_configurable($Pile[$SP]['valeur'],unserialize(@serialize($Pile[0]))) .
	'
			')) :
		'') .
'
			');
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_contenu @ ../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_saisies_disponibleshtml_547436fe586abf30dcc7d298d1baabfd(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	$command['sourcemode'] = 'tableau';

	$command['source'] = array(interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_saisies_disponibles', null),true)));

	if (!isset($command['table'])) {
		$command['table'] = '';
		$command['id'] = '_saisies_disponibles';
		$command['from'] = array();
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array(".valeur",
		".cle",
		"description",
		"icone",
		"titre");
		$command['orderby'] = array('.cle');
		$command['where'] = 
			array();
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"DATA",
		$command,
		array('../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html','html_547436fe586abf30dcc7d298d1baabfd','_saisies_disponibles',34,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
				<button type="submit" name="ajouter_saisie" value="' .
interdire_scripts(safehtml($Pile[$SP]['cle'])) .
'" class="submit ajouter_saisie"' .
(($t1 = strval(interdire_scripts((isset($Pile[$SP]['description'])?$Pile[$SP]['description']:(@$Pile[0]['description'])))))!=='' ?
		(' title="' . $t1 . '"') :
		'') .
' ' .
(($t1 = strval(interdire_scripts(((($a = safehtml((isset($Pile[$SP]['icone'])?$Pile[$SP]['icone']:(@$Pile[0]['icone'])))) OR (is_string($a) AND strlen($a))) ? $a : find_in_path('images/formulaire-saisie-defaut.png')))))!=='' ?
		('style="background-image:url(' . $t1 . ')"') :
		'') .
'>
					<span>' .
interdire_scripts(typo(supprimer_numero((isset($Pile[$SP]['titre'])?$Pile[$SP]['titre']:(@$Pile[0]['titre']))), "TYPO", $connect, $Pile[0])) .
'</span>
				</button>
				');
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_saisies_disponibles @ ../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_saisies_groupes_disponibleshtml_547436fe586abf30dcc7d298d1baabfd(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	$command['sourcemode'] = 'tableau';

	$command['source'] = array(interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_saisies_groupes_disponibles', null),true)));

	if (!isset($command['table'])) {
		$command['table'] = '';
		$command['id'] = '_saisies_groupes_disponibles';
		$command['from'] = array();
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array(".valeur",
		".cle",
		"description",
		"icone",
		"titre");
		$command['orderby'] = array('.cle');
		$command['where'] = 
			array();
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"DATA",
		$command,
		array('../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html','html_547436fe586abf30dcc7d298d1baabfd','_saisies_groupes_disponibles',45,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
				<button type="submit" name="ajouter_groupe_saisie" value="' .
interdire_scripts(safehtml($Pile[$SP]['cle'])) .
'" class="submit ajouter_saisie"' .
(($t1 = strval(interdire_scripts((isset($Pile[$SP]['description'])?$Pile[$SP]['description']:(@$Pile[0]['description'])))))!=='' ?
		(' title="' . $t1 . '"') :
		'') .
' ' .
(($t1 = strval(interdire_scripts(((($a = safehtml((isset($Pile[$SP]['icone'])?$Pile[$SP]['icone']:(@$Pile[0]['icone'])))) OR (is_string($a) AND strlen($a))) ? $a : find_in_path('images/formulaire-saisie-defaut.png')))))!=='' ?
		('style="background-image:url(' . $t1 . ')"') :
		'') .
'>
					<span>' .
interdire_scripts(typo(supprimer_numero((isset($Pile[$SP]['titre'])?$Pile[$SP]['titre']:(@$Pile[0]['titre']))), "TYPO", $connect, $Pile[0])) .
'</span>
				</button>
				');
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_saisies_groupes_disponibles @ ../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_editablehtml_547436fe586abf30dcc7d298d1baabfd(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($si_init)) { $command['si'] = array(); $si_init = true; }
	$command['si'][] = interdire_scripts(((entites_html(table_valeur(@$Pile[0], (string)'editable', null),true)) ?' ' :''));

	if (!isset($command['table'])) {
		$command['table'] = '';
		$command['id'] = '_editable';
		$command['from'] = array();
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("1");
		$command['orderby'] = array();
		$command['where'] = 
			array();
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"CONDITION",
		$command,
		array('../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html','html_547436fe586abf30dcc7d298d1baabfd','_editable',9,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	
	$l1 = _T('public|spip|ecrire:bouton_enregistrer');
	$l2 = _T('saisies:construire_reinitialiser_confirmer');
	$l3 = _T('saisies:construire_reinitialiser');
	$l4 = _T('saisies:construire_aucun_champs');
	$l5 = _T('saisies:construire_ajouter_champ');
	$l6 = _T('saisies:construire_ajouter_groupe');$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
	<form method=\'post\' action=\'' .
interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'action', null),true)) .
'\' enctype=\'multipart/form-data\'><div>
		
		' .
	'<div>' .
	form_hidden(interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'action', null),true))) .
	'<input name=\'formulaire_action\' type=\'hidden\'
		value=\'' . @$Pile[0]['form'] . '\' />' .
	'<input name=\'formulaire_action_args\' type=\'hidden\'
		value=\'' . @$Pile[0]['formulaire_args']. '\' />' .
	(!empty($Pile[0]['_hidden']) ? @$Pile[0]['_hidden'] : '') .
	'</div><input style="display:none;" type="submit" class="submit" name="enregistrer" value="' .
$l1 .
'" />

		<' .
saisie_balise_structure_formulaire('ul') .
' class="editer-groupe" id="deplacable">
			
			<' .
saisie_balise_structure_formulaire('li') .
' id="reinitialiser" class="actions_formulaire">
				<button type="submit" class="submit" name="reinitialiser" value="oui" onclick="return confirm(\'' .
$l2 .
'\')">
					<img src="' .
find_in_path('images/formulaire-reinitialiser-24.png') .
'" alt="" />
					' .
$l3 .
'
				</button>
			</' .
saisie_balise_structure_formulaire('li') .
'>

			
			' .
(($t1 = BOUCLE_contenuhtml_547436fe586abf30dcc7d298d1baabfd($Cache, $Pile, $doublons, $Numrows, $SP))!=='' ?
		$t1 :
		((	'
			<' .
	saisie_balise_structure_formulaire('li') .
	' class="aucun"><em class="attention">' .
	$l4 .
	'</em></' .
	saisie_balise_structure_formulaire('li') .
	'>
			'))) .
'
			
			' .
(($t1 = BOUCLE_saisies_disponibleshtml_547436fe586abf30dcc7d298d1baabfd($Cache, $Pile, $doublons, $Numrows, $SP))!=='' ?
		((	'
			<' .
		saisie_balise_structure_formulaire('li') .
		' class="editer haut saisies_disponibles" id="attrapable">
				<label>' .
		$l5 .
		'</label>
				') . $t1 . (	'
			</' .
		saisie_balise_structure_formulaire('li') .
		'>
			')) :
		'') .
'
			
			' .
(($t1 = BOUCLE_saisies_groupes_disponibleshtml_547436fe586abf30dcc7d298d1baabfd($Cache, $Pile, $doublons, $Numrows, $SP))!=='' ?
		((	'
			<' .
		saisie_balise_structure_formulaire('li') .
		' class="editer haut saisies_groupes_disponibles" id="attrapable_bis">
				<label>' .
		$l6 .
		'</label>
				') . $t1 . (	'
			</' .
		saisie_balise_structure_formulaire('li') .
		'>
			')) :
		'') .
'
			
		</' .
saisie_balise_structure_formulaire('ul') .
'>

		
		' .
'
		<!--extra-->
		
		<span class=\'image_loading\'></span>
	</div></form>

	<style>
		.message_reinitialiser,#reinitialiser {display: none}
		.modifie .message_reinitialiser,.modifie #reinitialiser {display: block}
	</style>
	<script type="text/javascript">
	(function($){

		function formulaire_configurer_onglets() {
			var $formulaire_configurer = $(\'.formulaire_configurer\');
			var $onglets = $(\'<ul class="formulaire_configurer-onglets"></ul>\');
			var $contenus = $formulaire_configurer.find(\'> .editer-groupe > .fieldset\');

			// On ajoute le conteneur des onglets
			$formulaire_configurer.prepend($onglets);

			// On parcourt les contenus pour générer les onglets
			$contenus.each(function(i){
				// On ajoute un identifiant et une classe
				$(this)
					.attr(\'id\', \'formulaire_configurer-contenu-\'+i)
					.addClass(\'formulaire_configurer-contenu\');
				// On récupère le titre (en le cachant au passage)
				var titre = $(this).find(\'' .
replace(propre('{{{ titre }}}'),'<(\\S*).*>','$1','i') .
'\').eq(0).hide().text();

				// On crée un onglet
				var $onglet = $(\'<li><a href="#formulaire_configurer-contenu-\'+i+\'">\'+titre+\'</a></li>\');
				$onglet
					.click(function(){
						$contenus.hide();
						$(
							$(this)
								.siblings()
									.removeClass(\'actif\')
								.end()
								.addClass(\'actif\')
								.find(\'a\')
									.attr(\'href\')
						).show();
						return false;
					});

				// On active le premier onglet au démarrage
				if (i == 0) {
					$onglet.addClass(\'actif\');
				}

				// S\'il y a des erreurs dans cette partie du contenu, on met une classe "erreurs" à l\'onglet aussi
				if ($(this).find(\'.editer.erreur\').length > 0) {
					$onglet.addClass(\'erreur\');
				}

				// On ajoute l\'onglet
				$onglets.append($onglet);
			})
			.hide()
			.eq(0)
				.show();
		}

		/* enlever les required */
		$(\'.formulaire_' .
interdire_scripts(@$Pile[0]['form']) .
' .editer.obligatoire\').find(\'input, textarea, select\').each(function(){
			if ($(this).prop(\'required\')) {
				$(this).prop(\'required\', false);
			}
		});

		$(\'.formulaire_' .
interdire_scripts(@$Pile[0]['form']) .
' .configurable\')
			.hover(
				function(){
					$(this)
						.addClass(\'hover\')
						.find(\'> .actions\')
							.show()
						.end()
						.parents(\'li.configurable:not(.en_configuration)\')
							.mouseout();
				},
				function(){
					if (!$(this).is(\'.en_configuration\'))
						$(this)
							.removeClass(\'hover\')
							.find(\'> .actions\')
								.hide()
							.end()
							.parents(\'.configurable\').eq(\'0\')
								.mouseover();
				}
			)
			.filter(\':not(.en_configuration)\')
				.find(\'> .actions\')
					.hide()
				.end()
			.end();

		// On lance la création des onglets
		formulaire_configurer_onglets();

		// Gérer la liste des vérifications
		$(\'.liste_verifications\').each(function(){
			var $options = $(this).siblings(\'.options_verifier\').hide();
			var $select  = $(this).find(\'select\');

			$select
				.change(function(){
					var montrer = $(this).val() ? $(this).val() : \'soigfeg\';
					$options.hide().filter(\'.\'+montrer).show();
				})
				.change();
		});

		// On déplie toujours les fieldsets plés par défaut
		$(\'.fieldset.plie\').each(function(){
			$(this)
				.removeClass(\'plie\')
				.find(\'> fieldset > .editer-groupe\').show();
		});

		' .
(($t1 = strval(interdire_scripts((((((entites_html(table_valeur(@$Pile[0], (string)'erreurs', null),true)) ?'' :' ')) AND (interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_chemin_ui', null),true)))) ?' ' :''))))!=='' ?
		($t1 . (	'
			$.getScript("' .
	find_in_path((	interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_chemin_ui', null),true)) .
		'core.js')) .
	'", function(){
			$.getScript("' .
	find_in_path((	interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_chemin_ui', null),true)) .
		'widget.js')) .
	'", function(){
			$.getScript("' .
	find_in_path((	interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_chemin_ui', null),true)) .
		'mouse.js')) .
	'", function(){
				$.getScript("' .
	find_in_path((	interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_chemin_ui', null),true)) .
		'sortable.js')) .
	'", function(){
					if ($.fn.sortable) {
						$( "#deplacable, #deplacable .editer-groupe" ).sortable({
							revert: true,
							containment: \'#deplacable\',
							connectWith: "#deplacable, #deplacable .editer-groupe",
							placeholder: "ui-state-highlight",
							handle: \'>.actions .deplacer_saisie\',
							start: function(event, ui) {
								$(\'.ui-state-highlight\')
									.css(\'height\', ui.item.css(\'height\'))
									.css(\'height\', \'+=20px\');
							},
							update: function(event, ui) {
								id = ui.item.data(\'id\');
								ou = ui.item.next().data(\'id\');
								// avant le suivant
								if (!ou) {
									// sinon dans le parent
									ou = ui.item.closest(\'.fieldset\').data(\'id\');
									if (ou) {
										ou = \'[\' + ou + \']\';
									}
								}
								url = "' .
	generer_url_ecrire('') .
	'";
								$.get(url, {
									session: \'' .
	interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_identifiant_session', null),true)) .
	'\',
									action: \'deplacer_saisie\',
									saisie: id,
									ou: ou
								}, function() {
									//$(\'input.vide\').submit();
									$(\'.formulaire_' .
	interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'form', null),true)) .
	'\').addClass(\'modifie\').trigger(\'modifsaisies\');
								});
							}
						});
					}
				});
				/*
				$.getScript("' .
	find_in_path((	interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'_chemin_ui', null),true)) .
		'draggable.js')) .
	'", function(){
					if ($.fn.draggable) {
						$( "#attrapable" ).draggable({
							connectToSortable: "#deplacable, #deplacable ul",
							helper: "clone"
						});
					}
				});
				*/
			});});});
		')) :
		'') .
'

	})(jQuery);
	</script>
	');
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_editable @ ../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}

//
// Fonction principale du squelette ../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html
// Temps de compilation total: 4.972 ms
//

function html_547436fe586abf30dcc7d298d1baabfd($Cache, $Pile, $doublons = array(), $Numrows = array(), $SP = 0) {

	if (isset($Pile[0]["doublons"]) AND is_array($Pile[0]["doublons"]))
		$doublons = nettoyer_env_doublons($Pile[0]["doublons"]);

	$connect = '';
	$page = (
(($t1 = strval(interdire_scripts(((entites_html(table_valeur(@$Pile[0], (string)'erreurs/positionner', null),true)) ?' ' :''))))!=='' ?
		($t1 . (	'
	<a name="ajax_ancre" href="' .
	interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'erreurs/positionner', null),true)) .
	'"></a>
')) :
		'') .
'
<div class="formulaire_spip formulaire_editer formulaire_' .
interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'form', null),true)) .
(($t1 = strval(interdire_scripts(((entites_html(table_valeur(@$Pile[0], (string)'formulaire_modifie', null),true)) ?' ' :''))))!=='' ?
		(' ' . $t1 . ' modifie') :
		'') .
'">
	' .
(($t1 = strval(interdire_scripts(table_valeur(@$Pile[0], (string)'message_ok', null))))!=='' ?
		('<p class="reponse_formulaire reponse_formulaire_ok">' . $t1 . '</p>') :
		'') .
'
	<p id="message_attention" class="message_reinitialiser reponse_formulaire reponse_formulaire_ok">' .
interdire_scripts(table_valeur(@$Pile[0], (string)'_message_attention', null)) .
'</p>
	' .
(($t1 = strval(interdire_scripts(table_valeur(@$Pile[0], (string)'message_erreur', null))))!=='' ?
		('<p class="reponse_formulaire reponse_formulaire_erreur">' . $t1 . '</p>') :
		'') .
'
	
	' .
BOUCLE_editablehtml_547436fe586abf30dcc7d298d1baabfd($Cache, $Pile, $doublons, $Numrows, $SP) .
'
</div>
');

	return analyse_resultat_skel('html_547436fe586abf30dcc7d298d1baabfd', $Cache, $page, '../plugins/saisies_v2/saisies/formulaires/construire_formulaire.html');
}
?>